<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Barang;
use App\Models\Kategori;
use App\Models\Komponen;
use App\Models\SubKategori;
use Illuminate\Http\Request;

class ComponentController extends Controller
{
    public function index($idk, $ids, $idb)
    {
        $kategori = Kategori::where('id_kategori', $idk)->first();
        $subkategori = SubKategori::where('id_sub_kategori', $ids)->first();
        $barang = Barang::where('id_barang', $idb)->first();
        $komponen = Komponen::where('id_barang', $idb)->get();
        return view('admin.component.index', ['kategori' => $kategori, 'sub_kategori' => $subkategori, 'barang' => $barang, 'komponen' => $komponen]);
    }
    public function store(Request $request, $idb)
    {
        Komponen::create([
            'id_barang' => $idb,
            'nama_komponen' => $request->nama_komponen,
            'nomor_komponen' => $request->nomor_komponen,
            'komponen_portion' => $request->komponen_portion,
            'komponen_portion_from' => $request->komponen_portion_from,
            'komponen_portion_to' => $request->komponen_portion_to,
        ]);
        return redirect()->back();
    }
    public function update(Request $request, $idc)
    {
        Komponen::where('id_komponen', $idc)->update([
            'nama_komponen' => $request->nama_komponen,
            'nomor_komponen' => $request->nomor_komponen,
            'komponen_portion' => $request->komponen_portion,
            'komponen_portion_from' => $request->komponen_portion_from,
            'komponen_portion_to' => $request->komponen_portion_to,
        ]);
        return redirect()->back();
    }

    public function delete($idc){
        Komponen::where('id_komponen', $idc)->delete();
        return redirect()->back();
    }
}
